Skip to main content

Introduction

The PM API provides functionality for users to create products automatically in Higg Product Module. The product is created using the system defaults for all aspects of the product except the bill of materials. Once the product is created via the API, the user can optionally go into the Product Module tool and manually set additional information about the product. See PM Data Dictionary for details about the parameters.

Create Product

The product requires a name, product type, and product category. The GET https://api-v2.higg.org/pm-api/product/category endpoint returns a list of the product types and associated categories. Optionally a product style/model number can be set—this field can be used to hold PLM ids, though note the user can edit this field directly in the Product Module interface.
{
    "name": "test API aug 20",
    "productType": "Apparel",
    "productCategory": "Dress",
    "modelNumber": "test5"
}

Add Product Bill of Materials

The PM API can also be used to create a bill of materials for the product using example, custom, acquired, trims and packaging from MSI. The MSI id, amount of the material, and unit of measure are sent via the API to create the bill of material. Optionally, the user can also send a part name for each material. Note that trims and packaging are always sent as “units” for unit of measure.
Available units for materials are:
“kilograms"
"grams"
"milligram"
"pound"
"ounce”
Additionally, if the user set yields in MSI for the material, those user-defined material yields will be available.
{
  "name": "test BoM 201",
  "productType": "Apparel",
  "productCategory": "Dress",
  "modelNumber": "test5",
  "packageMaterials":[{
    "_id": "samplepackage:PK012",
    "partName":"XYZ Package",
    "amount": 1,
    "measureUnit": "units"
  }],
  "trimMaterials":[{
    "_id": "sampletrim:TR001",
    "amount": 1,
    "measureUnit": "units"
  }],
  "baseMaterials":[{
    "_id": "TX0001",
    "amount": 1,
    "measureUnit": "kilograms"
  }],
  "customMaterials":[{
    "_id": "material:d68657bf-5c3e-472d-a4da-10c8d8e3614b",
    "amount": 1,
    "measureUnit": "kilograms"
  }]
}